<script setup>
  import { reactive } from 'vue';
  import FicheDePaie from '@/components/entites/FicheDePaie.vue';
  import axios from 'axios'
  import ROUTES_API from '@/assets/routesAPI.js'

  const props = defineProps( {
      id: {
        type: String,
        required: true,
      }
    })

  const ficheDePaie = reactive({
    idFicheDePaie: props.id,
    idEmploye: "",
    date: "",
    salaireBrut: "",
    cotisationsPatronales: "",
    role: ""
  });

  const employe = reactive({
    nom: "",
    prenom: "",
    dateNaissance: "",
    adresse: "",
  });

  //axios.get('http://localhost:8080/fichesDePaie/'+ props.id, {
  axios.get(ROUTES_API.FICHES_DE_PAIE + props.id, {
    headers : {
      'Content-Type': 'application/json',
      'Accept': 'application/json'
    }
  })
  .then(response => {
    if (response.data) {
      ficheDePaie.idEmploye = response.data.idEmploye
      ficheDePaie.date = response.data.date
      ficheDePaie.salaireBrut = response.data.salaireBrut
      ficheDePaie.cotisationsPatronales = response.data.cotisationsPatronales
      ficheDePaie.role = response.data.role
      axios.get(ROUTES_API.PERSONNEL + response.data.idEmploye, {
        headers : {
          'Content-Type': 'application/json',
          'Accept': 'application/json'
        }
      })
      .then(response => {
        if (response.data) {
          employe.nom = response.data.nom
          employe.prenom = response.data.prenom
          employe.adresse = response.data.adresse + ', ' + response.data.codePostal
        }
      })
    }
  })
  .catch(e => {})

  function supprimerFicheDePaie(id) {
    axios.delete(ROUTES_API.FICHES_DE_PAIE + id, {
      headers : {
        'Content-Type': 'application/json',
        'Accept': 'application/json'
      }
    })
    .then(response => {
      window.location.href = "/fichesDePaie";
    })
    .catch(e => {})
  }
</script>

<template>
  <div>
    <FicheDePaie :fiche-de-paie="ficheDePaie" :employe @supprimer="supprimerFicheDePaie"/>
  </div>
</template>
